package cn.superdesk.uniorder.dao.mapper.unified;

import cn.superdesk.uniorder.dao.entity.unified.UnifiedCustomer;
import cn.superdesk.uniorder.dto.vo.unified.UnifiedCustomerVo;

import java.util.List;
import java.util.Map;

public interface UnifiedCustomerMapper {

	int deleteByPrimaryKey(Long virtId);

	int insert(UnifiedCustomer record);

	int insertSelective(UnifiedCustomer record);

	UnifiedCustomer selectByPrimaryKey(Long virtId);

	int updateByPrimaryKeySelective(UnifiedCustomer record);

	int updateByPrimaryKey(UnifiedCustomer record);

	List<UnifiedCustomerVo> getData(Map<String, Object> params);
}